## org.eclipse.emf.validation.xml
Class XmlConstraintProvider

    java.lang.Object
      org.eclipse.emf.validation.service.AbstractConstraintProvider
          org.eclipse.emf.validation.xml.XmlConstraintProvider

All Implemented Interfaces:
  IExecutableExtension, IModelConstraintProvider

    public class XmlConstraintProvider

extends AbstractConstraintProvider
implements IExecutableExtension

A convenient implementation of the `IModelConstraintProvider` interface which loads constraints from a plug-in's manifest XML.

Constraints may be specified in the `plugin.xml` file or in separate XML files containing the `<constraints>` element as their root and included from the plug-in manifest via a `<include>` element. Includes can nest to any depth.

Constraints may be specified in any language for which some plug-in provides an implementation via the `constraintParsers` extension point. Currently, the "Java" language is provided by the core EMF Model Validation plug-in.

This class is intended to be used by clients by reference in the `constraintProviders` extension point. It is not intended to be subclassed or otherwise used by client code.

Constructor Summary
`XmlConstraintProvider()`

Method Summary
`void` `setInitializationData(IConfigurationElement config, String propertyName, Object data)` Extends the inherited method to configure myself with my meta-data of one or more constraints.

Methods inherited from class org.eclipse.emf.validation.service.AbstractConstraintProvider
`createModelConstraint, createModelConstraintProxy, getBatchConstraints, getConstraints, getLiveConstraints, getNamespaceUris, registerConstraints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlConstraintProvider

    public XmlConstraintProvider()

Method Detail

### setInitializationData

    public void setInitializationData(IConfigurationElement config,
                                      String propertyName,
                                      Object data)
                               throws CoreException

  Extends the inherited method to configure myself with my meta-data of one or more constraints.

  Specified by:
    `setInitializationData` in interface `IExecutableExtension`
  Overrides:
    `setInitializationData` in class `AbstractConstraintProvider`
  Throws:
    `CoreException` - if the superclass implementation of this method throws or on an error in accessing the `config`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.